やってみる

アウトプットすべく己を導くためのブログ。その試行錯誤すらたれ流す。

aptitudeでMonoDevelopの依存関係を解消…できなかった

最後の希望が潰えた。

前回

打つ手をなくした。

今回

すべてをaptitudeに委ねる。

$ sudo aptitude install monodevelop
以下の新規パッケージがインストールされます:
  libmono-data-tds2.0-cil{a} libmono-messaging2.0-cil{a} 
  libmono-microsoft-build2.0-cil{a} libmono-security2.0-cil{a} 
  libmono-sharpzip2.84-cil{a} libmono-sqlite2.0-cil{a} 
  libmono-system-data-linq2.0-cil{a} libmono-system-data2.0-cil{a} 
  libmono-system-messaging2.0-cil{a} libmono-system-runtime2.0-cil{a} 
  libmono-system-web2.0-cil{ab} libmono-wcf3.0a-cil{a} 
  libmono-xbuild-tasks2.0-cil{a} libmono2.0-cil{a} monodevelop 
  monodoc-manual{a} 
以下のパッケージは『削除』されます:
  mono-devel{u} msbuild{u} referenceassemblies-pcl{u} 
0 個のパッケージを更新、 16 個を新たにインストール、 3 個を削除予定、435 個が更新されていない。
アーカイブ 27.5 M バイト中 8,647 k バイトを取得する必要があります。 展開後に 99.9 M バイトのディスク領域が解放されます。
以下のパッケージには満たされていない依存関係があります:
 libmono-system-web2.0-cil : 依存: mono-runtime (< 3.2.9) [5.2.0.215-0xamarin10+ubuntu1404b1 が既にインストール済みです]
以下のアクションでこれらの依存関係の問題は解決されます:

     以下のパッケージを現在のバージョンに一時固定する:             
1)     libmono-system-data-linq2.0-cil [インストールされていません]
2)     libmono-system-runtime2.0-cil [インストールされていません]  
3)     libmono-system-web2.0-cil [インストールされていません]      
4)     libmono-wcf3.0a-cil [インストールされていません]            
5)     libmono2.0-cil [インストールされていません]                 
6)     monodevelop [インストールされていません]                    
7)     monodoc-manual [インストールされていません]                 



この解決方法を受け入れますか? [Y/n/q/?] 

yを入力しEnterキー押下すると以下。

この解決方法を受け入れますか? [Y/n/q/?] y
以下のパッケージは『削除』されます:
  libmono-2.0-dev{u} libmono-cecil-private-cil{u} libmono-cil-dev{u} 
  libmono-codecontracts4.0-cil{u} 
  libmono-compilerservices-symbolwriter4.0-cil{u} 
  libmono-cscompmgd0.0-cil{u} libmono-csharp4.0c-cil{u} 
  libmono-custommarshalers4.0-cil{u} libmono-db2-1.0-cil{u} 
  libmono-debugger-soft4.0a-cil{u} libmono-http4.0-cil{u} 
  libmono-management4.0-cil{u} libmono-messaging-rabbitmq4.0-cil{u} 
  libmono-messaging4.0-cil{u} libmono-microsoft-build-engine4.0-cil{u} 
  libmono-microsoft-build-framework4.0-cil{u} 
  libmono-microsoft-build-tasks-v4.0-4.0-cil{u} 
  libmono-microsoft-build-utilities-v4.0-4.0-cil{u} 
  libmono-microsoft-build4.0-cil{u} libmono-microsoft-visualc10.0-cil{u} 
  libmono-microsoft-web-infrastructure1.0-cil{u} libmono-oracle4.0-cil{u} 
  libmono-parallel4.0-cil{u} libmono-peapi4.0a-cil{u} 
  libmono-rabbitmq4.0-cil{u} libmono-relaxng4.0-cil{u} 
  libmono-simd4.0-cil{u} libmono-smdiagnostics0.0-cil{u} 
  libmono-system-componentmodel-composition4.0-cil{u} 
  libmono-system-configuration-install4.0-cil{u} 
  libmono-system-data-datasetextensions4.0-cil{u} 
  libmono-system-data-entity4.0-cil{u} libmono-system-data-linq4.0-cil{u} 
  libmono-system-data-services-client4.0-cil{u} 
  libmono-system-data-services4.0-cil{u} 
  libmono-system-deployment4.0-cil{u} 
  libmono-system-drawing-design4.0-cil{u} libmono-system-dynamic4.0-cil{u} 
  libmono-system-identitymodel-selectors4.0-cil{u} 
  libmono-system-identitymodel4.0-cil{u} 
  libmono-system-io-compression-filesystem4.0-cil{u} 
  libmono-system-io-compression4.0-cil{u} 
  libmono-system-json-microsoft4.0-cil{u} libmono-system-json4.0-cil{u} 
  libmono-system-ldap-protocols4.0-cil{u} 
  libmono-system-management4.0-cil{u} libmono-system-messaging4.0-cil{u} 
  libmono-system-net-http-formatting4.0-cil{u} 
  libmono-system-net-http-webrequest4.0-cil{u} 
  libmono-system-net-http4.0-cil{u} libmono-system-net4.0-cil{u} 
  libmono-system-numerics-vectors4.0-cil{u} 
  libmono-system-reactive-core2.2-cil{u} 
  libmono-system-reactive-debugger2.2-cil{u} 
  libmono-system-reactive-experimental2.2-cil{u} 
  libmono-system-reactive-interfaces2.2-cil{u} 
  libmono-system-reactive-linq2.2-cil{u} 
  libmono-system-reactive-observable-aliases0.0-cil{u} 
  libmono-system-reactive-platformservices2.2-cil{u} 
  libmono-system-reactive-providers2.2-cil{u} 
  libmono-system-reactive-runtime-remoting2.2-cil{u} 
  libmono-system-reactive-windows-forms2.2-cil{u} 
  libmono-system-reactive-windows-threading2.2-cil{u} 
  libmono-system-reflection-context4.0-cil{u} 
  libmono-system-runtime-caching4.0-cil{u} 
  libmono-system-runtime-durableinstancing4.0-cil{u} 
  libmono-system-servicemodel-activation4.0-cil{u} 
  libmono-system-servicemodel-discovery4.0-cil{u} 
  libmono-system-servicemodel-routing4.0-cil{u} 
  libmono-system-servicemodel-web4.0-cil{u} 
  libmono-system-servicemodel4.0a-cil{u} 
  libmono-system-serviceprocess4.0-cil{u} 
  libmono-system-threading-tasks-dataflow4.0-cil{u} 
  libmono-system-web-abstractions4.0-cil{u} 
  libmono-system-web-dynamicdata4.0-cil{u} 
  libmono-system-web-extensions-design4.0-cil{u} 
  libmono-system-web-extensions4.0-cil{u} 
  libmono-system-web-http-selfhost4.0-cil{u} 
  libmono-system-web-http-webhost4.0-cil{u} 
  libmono-system-web-http4.0-cil{u} libmono-system-web-mobile4.0-cil{u} 
  libmono-system-web-mvc3.0-cil{u} libmono-system-web-razor2.0-cil{u} 
  libmono-system-web-regularexpressions4.0-cil{u} 
  libmono-system-web-routing4.0-cil{u} 
  libmono-system-web-webpages-deployment2.0-cil{u} 
  libmono-system-web-webpages-razor2.0-cil{u} 
  libmono-system-web-webpages2.0-cil{u} 
  libmono-system-windows-forms-datavisualization4.0a-cil{u} 
  libmono-system-windows4.0-cil{u} 
  libmono-system-workflow-activities4.0-cil{u} 
  libmono-system-workflow-componentmodel4.0-cil{u} 
  libmono-system-workflow-runtime4.0-cil{u} libmono-system-xaml4.0-cil{u} 
  libmono-system-xml-serialization4.0-cil{u} libmono-tasklets4.0-cil{u} 
  libmono-webmatrix-data4.0-cil{u} libmono-windowsbase4.0-cil{u} 
  libmono-xbuild-tasks4.0-cil{u} libmonosgen-2.0-1{u} 
  libmonosgen-2.0-dev{u} libnunit-cil-dev{u} mono-csharp-shell{u} 
  mono-devel{u} mono-mcs{u} mono-roslyn{u} mono-xbuild{u} monodoc-base{u} 
  msbuild{u} msbuild-libhostfxr{u} msbuild-sdkresolver{u} 
  referenceassemblies-pcl{u} 
0 個のパッケージを更新、 0 個を新たにインストール、 112 個を削除予定、435 個が更新されていない。
0  バイトのアーカイブを取得する必要があります。 展開後に 212 M バイトのディスク領域が解放されます。
先に進みますか? [Y/n/?] 

yを入力しEnterキー押下すると以下。

先に進みますか? [Y/n/?] y
(データベースを読み込んでいます ... 現在 209742 個のファイルとディレクトリがインストールされています。)
mono-devel (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-2.0-dev (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
monodoc-base (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-cil-dev (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-debugger-soft4.0a-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-codecontracts4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-compilerservices-symbolwriter4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-cscompmgd0.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
mono-csharp-shell (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-csharp4.0c-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-custommarshalers4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-db2-1.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-http4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-management4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-messaging-rabbitmq4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-xml-serialization4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-web-http-selfhost4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
referenceassemblies-pcl (2014.04.14-1xamarin4+ubuntu1404b1) を削除しています ...
msbuild (15.3+xamarinxplat.2017.07.20.13.52-0xamarin3+ubuntu1404b1) を削除しています ...
mono-xbuild (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-microsoft-build-tasks-v4.0-4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-microsoft-build-engine4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-microsoft-build4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-microsoft-build-utilities-v4.0-4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-microsoft-build-framework4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-microsoft-visualc10.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-web-mvc3.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-web-webpages-razor2.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-web-webpages2.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-web-webpages-deployment2.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-oracle4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-parallel4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-peapi4.0a-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-rabbitmq4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-relaxng4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-simd4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-smdiagnostics0.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-componentmodel-composition4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-serviceprocess4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-management4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-data-datasetextensions4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-data-entity4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-web-http-webhost4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-web-http4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-web-dynamicdata4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-data-services4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-data-services-client4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-deployment4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-drawing-design4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-dynamic4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-io-compression-filesystem4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
mono-roslyn (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-io-compression4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-json-microsoft4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-json4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-ldap-protocols4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-net-http-formatting4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-net-http-webrequest4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-net-http4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-net4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-numerics-vectors4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-reactive-windows-threading2.2-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-reactive-windows-forms2.2-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-reactive-debugger2.2-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-reactive-experimental2.2-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-reactive-runtime-remoting2.2-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-reactive-observable-aliases0.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-reactive-providers2.2-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-reactive-platformservices2.2-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-reactive-linq2.2-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-reflection-context4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-runtime-caching4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-runtime-durableinstancing4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-servicemodel-web4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-servicemodel-discovery4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-servicemodel-routing4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-threading-tasks-dataflow4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-web-abstractions4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-web-extensions-design4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-web-mobile4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-web-razor2.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-web-regularexpressions4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-web-routing4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-windows-forms-datavisualization4.0a-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-windows4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-workflow-activities4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-workflow-componentmodel4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-workflow-runtime4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-windowsbase4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-xaml4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-tasklets4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-webmatrix-data4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-xbuild-tasks4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmonosgen-2.0-dev (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmonosgen-2.0-1 (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libnunit-cil-dev (2.6.3+dfsg-1~xamarin8+ubuntu1404b1) を削除しています ...
mono-mcs (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-cecil-private-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-microsoft-web-infrastructure1.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-web-extensions4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-data-linq4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-reactive-core2.2-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-reactive-interfaces2.2-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
msbuild-libhostfxr (2.0.0.2017.07.06.00.01-0xamarin14+ubuntu1404b1) を削除しています ...
msbuild-sdkresolver (15.3+xamarinxplat.2017.07.20.13.52-0xamarin3+ubuntu1404b1) を削除しています ...
libmono-system-servicemodel-activation4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-servicemodel4.0a-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-messaging4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-messaging4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-configuration-install4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-identitymodel-selectors4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
libmono-system-identitymodel4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています ...
man-db (2.6.7.1-1ubuntu1) のトリガを処理しています ...
libc-bin (2.19-0ubuntu6.6) のトリガを処理しています ...                                         

5.2.0.215-0xamarin10+ubuntu1404b1はおそらく諸悪の根源。NuGetインストール時にアップグレードされてしまったものと思われる。

インストールはせず削除だけしたっぽい。monodevelopコマンドは存在しない。

Synapticでインストールできる状態になっただろうか?確かめたができなかった。前回の問題と同じ。インストールできない。

「変更を適用することができませんでした!まず破損パッケージを修復してください。」と怒られる。

f:id:ytyaru:20170912084834p:plainf:id:ytyaru:20170912084840p:plainf:id:ytyaru:20170912084854p:plain

2回目

mint@mint-CF-T5AW1AXS ~ $ sudo aptitude install monodevelop
[sudo] password for mint: 
以下の新規パッケージがインストールされます:
  libmono-cecil-private-cil{a} libmono-data-tds2.0-cil{a} 
  libmono-messaging2.0-cil{a} libmono-messaging4.0-cil{a} 
  libmono-microsoft-build-engine4.0-cil{a} 
  libmono-microsoft-build-framework4.0-cil{a} 
  libmono-microsoft-build-utilities-v4.0-4.0-cil{a} 
  libmono-microsoft-build2.0-cil{a} 
  libmono-microsoft-web-infrastructure1.0-cil{a} libmono-security2.0-cil{a} 
  libmono-sharpzip2.84-cil{a} libmono-sqlite2.0-cil{a} 
  libmono-system-configuration-install4.0-cil{a} 
  libmono-system-data-linq2.0-cil{a} libmono-system-data-linq4.0-cil{a} 
  libmono-system-data2.0-cil{a} 
  libmono-system-identitymodel-selectors4.0-cil{a} 
  libmono-system-identitymodel4.0-cil{a} libmono-system-messaging2.0-cil{a} 
  libmono-system-messaging4.0-cil{a} 
  libmono-system-runtime-caching4.0-cil{a} libmono-system-runtime2.0-cil{a} 
  libmono-system-servicemodel-activation4.0-cil{a} 
  libmono-system-servicemodel4.0a-cil{a} 
  libmono-system-web-extensions4.0-cil{a} libmono-system-web-mvc3.0-cil{a} 
  libmono-system-web-razor2.0-cil{a} 
  libmono-system-web-webpages-deployment2.0-cil{a} 
  libmono-system-web-webpages-razor2.0-cil{a} 
  libmono-system-web-webpages2.0-cil{a} libmono-system-web2.0-cil{ab} 
  libmono-system-xaml4.0-cil{a} libmono-wcf3.0a-cil{a} 
  libmono-xbuild-tasks2.0-cil{a} libmono2.0-cil{a} monodevelop 
  monodoc-base{a} monodoc-manual{a} 
以下のパッケージが推奨されていますがインストールされません:
  mono-devel 
0 個のパッケージを更新、 38 個を新たにインストール、 0 個を削除予定、435 個が更新されていない。
アーカイブ 29.7 M バイト中 8,647 k バイトを取得する必要があります。 展開後に 69.0 M バイトのディスク領域が新たに消費されます。
以下のパッケージには満たされていない依存関係があります:
 libmono-system-web2.0-cil : 依存: mono-runtime (< 3.2.9) [5.2.0.215-0xamarin10+ubuntu1404b1 が既にインストール済みです]
以下のアクションでこれらの依存関係の問題は解決されます:

     以下のパッケージを現在のバージョンに一時固定する:             
1)     libmono-system-data-linq2.0-cil [インストールされていません]
2)     libmono-system-runtime2.0-cil [インストールされていません]  
3)     libmono-system-web2.0-cil [インストールされていません]      
4)     libmono-wcf3.0a-cil [インストールされていません]            
5)     libmono2.0-cil [インストールされていません]                 
6)     monodevelop [インストールされていません]                    
7)     monodoc-manual [インストールされていません]                 



この解決方法を受け入れますか? [Y/n/q/?] 

libmono-system-web2.0-cil : 依存: mono-runtime (< 3.2.9) [5.2.0.215-0xamarin10+ubuntu1404b1 が既にインストール済みです]というのが問題か。

mono-runtimeを削除すれば解決するのだろうか。

f:id:ytyaru:20170912133240p:plain

$ sudo aptitude remove mono-runtime を打ってみると、nunit-guiも依存しているらしい。NUnitも一旦削除すべきか。

$ sudo aptitude remove mono-runtime
以下のパッケージは『削除』されます:      
  mono-runtime 
0 個のパッケージを更新、 0 個を新たにインストール、 1 個を削除予定、435 個が更新されていない。
0  バイトのアーカイブを取得する必要があります。 展開後に 86.0 k バイトのディスク領域が解放されます。
以下のパッケージには満たされていない依存関係があります:
 ca-certificates-mono : 依存: mono-runtime (>= 3.0~) [インストールされません]
 nunit-gui : 依存: mono-runtime (>= 3.0~) [インストールされません]
 banshee : 依存: mono-runtime (>= 3.0~) [インストールされません]
 nunit-console : 依存: mono-runtime (>= 3.0~) [インストールされません]
 libmono-i18n4.0-cil : 依存: mono-runtime (>= 5.2.0.215) [インストールされません]
                       依存: mono-runtime (< 5.2.0.216) [インストールされません]
 libmono-posix4.0-cil : 依存: mono-runtime (>= 2.10.1) [インストールされません]
 libmono-corlib4.5-cil : 依存: mono-runtime (>= 5.2.0.215) [インストールされません]
                         依存: mono-runtime (< 5.2.0.216) [インストールされません]
 libmono-i18n-cjk4.0-cil : 依存: mono-runtime (>= 5.2.0.215) [インストールされません]
                           依存: mono-runtime (< 5.2.0.216) [インストールされません]
 tomboy : 依存: mono-runtime (>= 3.0~) [インストールされません]
 monobristol : 依存: mono-runtime (>= 2.10.1) [インストールされません]
 libmono-system4.0-cil : 依存: mono-runtime (>= 5.2.0.215) [インストールされません]
                         依存: mono-runtime (< 5.2.0.216) [インストールされません]
 libmono-system-configuration4.0-cil : 依存: mono-runtime (>= 5.2.0.215) [インストールされません]
                                       依存: mono-runtime (< 5.2.0.216) [インストールされません]
 libmono-system-web4.0-cil : 依存: mono-runtime (>= 5.2.0.215) [インストールされません]
                             依存: mono-runtime (< 5.2.0.216) [インストールされません]
未解決: 169; 解決済み: 184; 保留: 112; 競合: 251                                                                                    .以下のアクションでこれらの依存関係の問題は解決されます:

      以下のパッケージを削除する:                                  
1)      banshee                                                    
2)      ca-certificates-mono                                       
3)      libappindicator0.1-cil                                     
4)      libart2.0-cil                                              
5)      libdbus-glib1.0-cil                                        
6)      libdbus-glib2.0-cil                                        
7)      libdbus1.0-cil                                             
8)      libdbus2.0-cil                                             
9)      libgconf2.0-cil                                            
10)     libgdata2.1-cil                                            
11)     libgkeyfile1.0-cil                                         
12)     libglade2.0-cil                                            
13)     libglade2.0-cil-dev                                        
14)     libglib2.0-cil                                             
15)     libglib2.0-cil-dev                                         
16)     libgmime2.6-cil                                            
17)     libgnome-vfs2.0-cil                                        
18)     libgnome2.24-cil                                           
19)     libgtk-sharp-beans-cil                                     
20)     libgtk2.0-cil                                              
21)     libgtk2.0-cil-dev                                          
22)     libgudev1.0-cil                                            
23)     libmono-accessibility4.0-cil                               
24)     libmono-addins-gui0.2-cil                                  
25)     libmono-addins0.2-cil                                      
26)     libmono-c5-1.1-cil                                         
27)     libmono-cairo4.0-cil                                       
28)     libmono-corlib2.0-cil                                      
29)     libmono-corlib4.0-cil                                      
30)     libmono-corlib4.5-cil                                      
31)     libmono-data-tds4.0-cil                                    
32)     libmono-entityframework-sqlserver6.0-cil                   
33)     libmono-entityframework6.0-cil                             
34)     libmono-i18n-cjk4.0-cil                                    
35)     libmono-i18n-mideast4.0-cil                                
36)     libmono-i18n-other4.0-cil                                  
37)     libmono-i18n-rare4.0-cil                                   
38)     libmono-i18n-west4.0-cil                                   
39)     libmono-i18n4.0-all                                        
40)     libmono-i18n4.0-cil                                        
41)     libmono-ldap4.0-cil                                        
42)     libmono-microsoft-csharp4.0-cil                            
43)     libmono-opensystem-c4.0-cil                                
44)     libmono-posix4.0-cil                                       
45)     libmono-security4.0-cil                                    
46)     libmono-sharpzip2.6-cil                                    
47)     libmono-sharpzip4.84-cil                                   
48)     libmono-sqlite4.0-cil                                      
49)     libmono-system-componentmodel-dataannotations4.0-cil       
50)     libmono-system-configuration4.0-cil                        
51)     libmono-system-core4.0-cil                                 
52)     libmono-system-data4.0-cil                                 
53)     libmono-system-design4.0-cil                               
54)     libmono-system-drawing4.0-cil                              
55)     libmono-system-enterpriseservices4.0-cil                   
56)     libmono-system-ldap4.0-cil                                 
57)     libmono-system-numerics4.0-cil                             
58)     libmono-system-runtime-serialization-formatters-soap4.0-cil
59)     libmono-system-runtime-serialization4.0-cil                
60)     libmono-system-runtime4.0-cil                              
61)     libmono-system-security4.0-cil                             
62)     libmono-system-servicemodel-internals0.0-cil               
63)     libmono-system-transactions4.0-cil                         
64)     libmono-system-web-applicationservices4.0-cil              
65)     libmono-system-web-services4.0-cil                         
66)     libmono-system-web4.0-cil                                  
67)     libmono-system-windows-forms4.0-cil                        
68)     libmono-system-xml-linq4.0-cil                             
69)     libmono-system-xml4.0-cil                                  
70)     libmono-system2.0-cil                                      
71)     libmono-system4.0-cil                                      
72)     libmono-web4.0-cil                                         
73)     libmono-webbrowser4.0-cil                                  
74)     libmono-zeroconf1.0-cil                                    
75)     libnewtonsoft-json5.0-cil                                  
76)     libnotify0.4-cil                                           
77)     libnunit-console-runner2.6.3-cil                           
78)     libnunit-core-interfaces2.6.3-cil                          
79)     libnunit-core2.6.3-cil                                     
80)     libnunit-framework2.6.3-cil                                
81)     libnunit-mocks2.6.3-cil                                    
82)     libnunit-util2.6.3-cil                                     
83)     libtaglib2.1-cil                                           
84)     mono-4.0-gac                                               
85)     mono-gac                                                   
86)     mono-runtime-common                                        
87)     mono-runtime-sgen                                          
88)     monobristol                                                
89)     nunit                                                      
90)     nunit-console                                              
91)     nunit-gui                                                  
92)     tomboy                                                     



この解決方法を受け入れますか? [Y/n/q/?] 
この解決方法を受け入れますか? [Y/n/q/?] y
以下のパッケージは『削除』されます:
  banshee{a} bristol{u} bristol-data{u} ca-certificates-mono{a} libappindicator0.1-cil{a} libart2.0-cil{a} libdbus-glib1.0-cil{a} 
  libdbus-glib2.0-cil{a} libdbus1.0-cil{a} libdbus2.0-cil{a} libgconf2.0-cil{a} libgdata2.1-cil{a} libgkeyfile1.0-cil{a} libglade2.0-cil{a} 
  libglade2.0-cil-dev{a} libglib2.0-cil{a} libglib2.0-cil-dev{a} libgmime2.6-cil{a} libgnome-vfs2.0-cil{a} libgnome2.24-cil{a} 
  libgtk-sharp-beans-cil{a} libgtk2.0-cil{a} libgtk2.0-cil-dev{a} libgudev1.0-cil{a} libmono-accessibility4.0-cil{a} 
  libmono-addins-gui0.2-cil{a} libmono-addins0.2-cil{a} libmono-c5-1.1-cil{a} libmono-cairo4.0-cil{a} libmono-corlib2.0-cil{a} 
  libmono-corlib4.0-cil{a} libmono-corlib4.5-cil{a} libmono-data-tds4.0-cil{a} libmono-entityframework-sqlserver6.0-cil{a} 
  libmono-entityframework6.0-cil{a} libmono-i18n-cjk4.0-cil{a} libmono-i18n-mideast4.0-cil{a} libmono-i18n-other4.0-cil{a} 
  libmono-i18n-rare4.0-cil{a} libmono-i18n-west4.0-cil{a} libmono-i18n4.0-all{a} libmono-i18n4.0-cil{a} libmono-ldap4.0-cil{a} 
  libmono-microsoft-csharp4.0-cil{a} libmono-opensystem-c4.0-cil{a} libmono-posix4.0-cil{a} libmono-security4.0-cil{a} 
  libmono-sharpzip2.6-cil{a} libmono-sharpzip4.84-cil{a} libmono-sqlite4.0-cil{a} libmono-system-componentmodel-dataannotations4.0-cil{a} 
  libmono-system-configuration4.0-cil{a} libmono-system-core4.0-cil{a} libmono-system-data4.0-cil{a} libmono-system-design4.0-cil{a} 
  libmono-system-drawing4.0-cil{a} libmono-system-enterpriseservices4.0-cil{a} libmono-system-ldap4.0-cil{a} 
  libmono-system-numerics4.0-cil{a} libmono-system-runtime-serialization-formatters-soap4.0-cil{a} 
  libmono-system-runtime-serialization4.0-cil{a} libmono-system-runtime4.0-cil{a} libmono-system-security4.0-cil{a} 
  libmono-system-servicemodel-internals0.0-cil{a} libmono-system-transactions4.0-cil{a} libmono-system-web-applicationservices4.0-cil{a} 
  libmono-system-web-services4.0-cil{a} libmono-system-web4.0-cil{a} libmono-system-windows-forms4.0-cil{a} 
  libmono-system-xml-linq4.0-cil{a} libmono-system-xml4.0-cil{a} libmono-system2.0-cil{a} libmono-system4.0-cil{a} libmono-web4.0-cil{a} 
  libmono-webbrowser4.0-cil{a} libmono-zeroconf1.0-cil{a} libnewtonsoft-json5.0-cil{a} libnotify0.4-cil{a} 
  libnunit-console-runner2.6.3-cil{a} libnunit-core-interfaces2.6.3-cil{a} libnunit-core2.6.3-cil{a} libnunit-doc{u} 
  libnunit-framework2.6.3-cil{a} libnunit-mocks2.6.3-cil{a} libnunit-util2.6.3-cil{a} libtaglib2.1-cil{a} mono-4.0-gac{a} mono-gac{a} 
  mono-runtime mono-runtime-common{a} mono-runtime-sgen{a} monobristol{a} nunit{a} nunit-console{a} nunit-gui{a} tomboy{a} 
0 個のパッケージを更新、 0 個を新たにインストール、 96 個を削除予定、435 個が更新されていない。
0  バイトのアーカイブを取得する必要があります。 展開後に 86.0 M バイトのディスク領域が解放されます。
先に進みますか? [Y/n/?] 

``sh 先に進みますか? [Y/n/?] y (データベースを読み込んでいます … 現在 205389 個のファイルとディレクトリがインストールされています。) banshee (2.6.2~linuxmint1) を削除しています … monobristol (0.60.3-2.1ubuntu1) を削除しています … bristol (0.60.11-2) を削除しています … bristol-data (0.60.11-2) を削除しています … ca-certificates-mono (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … tomboy (1.15.4-0ubuntu1) を削除しています … libappindicator0.1-cil (12.10.1+13.10.20130920-0ubuntu4.1) を削除しています … Removing libappindicator0.1-cil from Mono libgnome2.24-cil (2.24.2-3) を削除しています … Removing libgnome2.24-cil from Mono libart2.0-cil (2.24.2-3) を削除しています … Removing libart2.0-cil from Mono libdbus-glib1.0-cil (0.5.0-4ubuntu1) を削除しています … Removing libdbus-glib1.0-cil from Mono libnotify0.4-cil (0.4.0~r3032-7) を削除しています … Removing libnotify0.4-cil from Mono libdbus-glib2.0-cil (0.6.0-1) を削除しています … Removing libdbus-glib2.0-cil from Mono libdbus1.0-cil (0.7.0-5ubuntu1) を削除しています … Removing libdbus1.0-cil from Mono libdbus2.0-cil (0.8.0-1) を削除しています … Removing libdbus2.0-cil from Mono libgconf2.0-cil (2.24.2-3) を削除しています … Removing libgconf2.0-cil from Mono libgdata2.1-cil (2.2.0.0-2) を削除しています … Removing libgdata2.1-cil from Mono libgkeyfile1.0-cil (0.1-4) を削除しています … Removing libgkeyfile1.0-cil from Mono libglade2.0-cil-dev (2.12.45-0xamarin9+ubuntu1404b1) を削除しています … libglade2.0-cil (2.12.45-0xamarin9+ubuntu1404b1) を削除しています … Removing libglade2.0-cil from Mono libmono-addins-gui0.2-cil (1.0+git20130406.adcd75b-3) を削除しています … Removing libmono-addins-gui0.2-cil from Mono libgudev1.0-cil (0.1-3) を削除しています … Removing libgudev1.0-cil from Mono libgtk2.0-cil-dev (2.12.45-0xamarin9+ubuntu1404b1) を削除しています … libglib2.0-cil-dev (2.12.45-0xamarin9+ubuntu1404b1) を削除しています … libgmime2.6-cil (2.6.20-0ubuntu1) を削除しています … Removing libgmime2.6-cil from Mono libgnome-vfs2.0-cil (2.24.2-3) を削除しています … Removing libgnome-vfs2.0-cil from Mono libgtk-sharp-beans-cil (2.14.1-3) を削除しています … libgtk2.0-cil (2.12.45-0xamarin9+ubuntu1404b1) を削除しています … Removing libgtk2.0-cil from Mono libmono-web4.0-cil (3.2.8+dfsg-4ubuntu1.1) を削除しています … nunit (2.6.3+dfsg-1~xamarin8+ubuntu1404b1) を削除しています … nunit-gui (2.6.3+dfsg-1~xamarin8+ubuntu1404b1) を削除しています … libmono-addins0.2-cil (1.0+git20130406.adcd75b-3) を削除しています … Removing libmono-addins0.2-cil from Mono libmono-c5-1.1-cil (3.2.8+dfsg-4ubuntu1.1) を削除しています … libmono-cairo4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-system2.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-sharpzip2.6-cil (3.2.8+dfsg-4ubuntu1.1) を削除しています … libmono-corlib2.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … nunit-console (2.6.3+dfsg-1~xamarin8+ubuntu1404b1) を削除しています … libmono-entityframework-sqlserver6.0-cil (3.2.8+dfsg-4ubuntu1.1) を削除しています … libmono-entityframework6.0-cil (3.2.8+dfsg-4ubuntu1.1) を削除しています … libmono-i18n4.0-all (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-i18n-cjk4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-i18n-mideast4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-i18n-other4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-i18n-rare4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-microsoft-csharp4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-opensystem-c4.0-cil (3.2.8+dfsg-4ubuntu1.1) を削除しています … libnewtonsoft-json5.0-cil (5.0r6+dfsg-1) を削除しています … Removing libnewtonsoft-json5.0-cil from Mono libmono-zeroconf1.0-cil (0.9.0-4) を削除しています … Removing libmono-zeroconf1.0-cil from Mono libtaglib2.1-cil (2.1.0.0-3) を削除しています … Removing libtaglib2.1-cil from Mono libmono-sharpzip4.84-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libnunit-console-runner2.6.3-cil (2.6.3+dfsg-1~xamarin8+ubuntu1404b1) を削除しています … Removing libnunit-console-runner2.6.3-cil from Mono libnunit-util2.6.3-cil (2.6.3+dfsg-1~xamarin8+ubuntu1404b1) を削除しています … Removing libnunit-util2.6.3-cil from Mono libmono-system-runtime4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libnunit-core2.6.3-cil (2.6.3+dfsg-1~xamarin8+ubuntu1404b1) を削除しています … Removing libnunit-core2.6.3-cil from Mono libnunit-core-interfaces2.6.3-cil (2.6.3+dfsg-1~xamarin8+ubuntu1404b1) を削除しています … Removing libnunit-core-interfaces2.6.3-cil from Mono libnunit-doc (2.6.3+dfsg-1~xamarin8+ubuntu1404b1) を削除しています … libnunit-mocks2.6.3-cil (2.6.3+dfsg-1~xamarin8+ubuntu1404b1) を削除しています … Removing libnunit-mocks2.6.3-cil from Mono libnunit-framework2.6.3-cil (2.6.3+dfsg-1~xamarin8+ubuntu1404b1) を削除しています … Removing libnunit-framework2.6.3-cil from Mono libglib2.0-cil (2.12.45-0xamarin9+ubuntu1404b1) を削除しています … Removing libglib2.0-cil from Mono libmono-corlib4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-system-xml-linq4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-system-runtime-serialization4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-system-servicemodel-internals0.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-system-web-services4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-system-design4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-system-windows-forms4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-accessibility4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-webbrowser4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-i18n-west4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-i18n4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-system-ldap4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-ldap4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-system-web4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-system-web-applicationservices4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-sqlite4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-system-data4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-system-enterpriseservices4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-system-transactions4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-data-tds4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-system-componentmodel-dataannotations4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-system-drawing4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-system-numerics4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-system-runtime-serialization-formatters-soap4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-system-core4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-posix4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-system4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-system-xml4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-system-configuration4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-corlib4.5-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … mono-runtime (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … mono-runtime-sgen (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … mono-runtime-common (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … update-binfmts: warning: no executable /usr/bin/cli found, but continuing anyway as you request mono-gac (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … * Removing packages from mono * Removing packages from mono’s framework paths mono-4.0-gac (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-system-security4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … libmono-security4.0-cil (5.2.0.215-0xamarin10+ubuntu1404b1) を削除しています … dpkg: 警告: libmono-security4.0-cil の削除中、ディレクトリ ‘/usr/lib/mono’ が空でないため削除できませんでした dpkg: 警告: libmono-security4.0-cil の削除中、ディレクトリ ‘/etc/mono/certstore’ が空でないため削除できませんでした man-db (2.6.7.1-1ubuntu1) のトリガを処理しています … hicolor-icon-theme (0.13-1) のトリガを処理しています … desktop-file-utils (0.22-1ubuntu1) のトリガを処理しています … mime-support (3.54ubuntu1.1) のトリガを処理しています … ca-certificates (20141019ubuntu0.14.04.1) のトリガを処理しています … Updating certificates in /etc/ssl/certs… 0 added, 0 removed; done. Running hooks in /etc/ca-certificates/update.d…. done. Updating Mono key store /etc/ca-certificates/update.d/mono-keystore: 10: /etc/ca-certificates/update.d/mono-keystore: /usr/bin/cert-sync: not found Done done. gconf2 (3.2.6-0ubuntu2) のトリガを処理しています … shared-mime-info (1.2-0ubuntu3) のトリガを処理しています … libc-bin (2.19-0ubuntu6.6) のトリガを処理しています …

この後SynapticでMonoDevelopをインストールするも同様のエラーに阻まれる。

> 変更を適用することができませんでした!まず破損パッケージを修復してください。

もうSynapticの破損は修復できないのか?

## nunit

$ sudo aptitude remove nunit [sudo] password for mint: インストール・削除・更新されるパッケージがありません。 0 個のパッケージを更新、 0 個を新たにインストール、 0 個を削除予定、435 個が更新されていない。 0 バイトのアーカイブを取得する必要があります。 展開後に 0 バイトのディスク領域が新たに消費されます。

# 3回目

$ sudo aptitude install monodevelop 以下の新規パッケージがインストールされます: libart2.0-cil{a} libgconf2.0-cil{a} libglade2.0-cil{a} libglib2.0-cil{a} libgnome-vfs2.0-cil{a} libgnome2.24-cil{a} libgtk2.0-cil{a} libmono-accessibility4.0-cil{a} libmono-addins-gui0.2-cil{a} libmono-addins0.2-cil{a} libmono-cairo4.0-cil{a} libmono-cecil-private-cil{a} libmono-corlib2.0-cil{a} libmono-corlib4.0-cil{a} libmono-corlib4.5-cil{a} libmono-data-tds2.0-cil{a} libmono-data-tds4.0-cil{a} libmono-i18n-west4.0-cil{a} libmono-i18n4.0-cil{a} libmono-ldap4.0-cil{a} libmono-messaging2.0-cil{a} libmono-messaging4.0-cil{a} libmono-microsoft-build-engine4.0-cil{a} libmono-microsoft-build-framework4.0-cil{a} libmono-microsoft-build-utilities-v4.0-4.0-cil{a} libmono-microsoft-build2.0-cil{a} libmono-microsoft-csharp4.0-cil{a} libmono-microsoft-web-infrastructure1.0-cil{a} libmono-posix4.0-cil{a} libmono-security2.0-cil{a} libmono-security4.0-cil{a} libmono-sharpzip2.84-cil{a} libmono-sharpzip4.84-cil{a} libmono-sqlite2.0-cil{a} libmono-sqlite4.0-cil{a} libmono-system-componentmodel-dataannotations4.0-cil{a} libmono-system-configuration-install4.0-cil{a} libmono-system-configuration4.0-cil{a} libmono-system-core4.0-cil{a} libmono-system-data-linq2.0-cil{a} libmono-system-data-linq4.0-cil{a} libmono-system-data2.0-cil{a} libmono-system-data4.0-cil{a} libmono-system-design4.0-cil{a} libmono-system-drawing4.0-cil{a} libmono-system-enterpriseservices4.0-cil{a} libmono-system-identitymodel-selectors4.0-cil{a} libmono-system-identitymodel4.0-cil{a} libmono-system-ldap4.0-cil{a} libmono-system-messaging2.0-cil{a} libmono-system-messaging4.0-cil{a} libmono-system-numerics4.0-cil{a} libmono-system-runtime-caching4.0-cil{a} libmono-system-runtime-serialization-formatters-soap4.0-cil{a} libmono-system-runtime-serialization4.0-cil{a} libmono-system-runtime2.0-cil{a} libmono-system-runtime4.0-cil{a} libmono-system-security4.0-cil{a} libmono-system-servicemodel-activation4.0-cil{a} libmono-system-servicemodel-internals0.0-cil{a} libmono-system-servicemodel4.0a-cil{a} libmono-system-transactions4.0-cil{a} libmono-system-web-applicationservices4.0-cil{a} libmono-system-web-extensions4.0-cil{a} libmono-system-web-mvc3.0-cil{a} libmono-system-web-razor2.0-cil{a} libmono-system-web-services4.0-cil{a} libmono-system-web-webpages-deployment2.0-cil{a} libmono-system-web-webpages-razor2.0-cil{a} libmono-system-web-webpages2.0-cil{a} libmono-system-web2.0-cil{ab} libmono-system-web4.0-cil{a} libmono-system-windows-forms4.0-cil{a} libmono-system-xaml4.0-cil{a} libmono-system-xml-linq4.0-cil{a} libmono-system-xml4.0-cil{a} libmono-system2.0-cil{a} libmono-system4.0-cil{a} libmono-wcf3.0a-cil{a} libmono-webbrowser4.0-cil{a} libmono-xbuild-tasks2.0-cil{a} libmono2.0-cil{a} mono-4.0-gac{a} mono-gac{a} mono-runtime{a} mono-runtime-common{a} mono-runtime-sgen{a} monodevelop monodoc-base{a} monodoc-manual{a} 以下のパッケージが推奨されていますがインストールされません: ca-certificates-mono libglade2.0-cil-dev libgtk2.0-cil-dev libmono-btls-interface4.0-cil mono-devel 0 個のパッケージを更新、 90 個を新たにインストール、 0 個を削除予定、435 個が更新されていない。 アーカイブ 40.5 M バイト中 9,165 k バイトを取得する必要があります。 展開後に 108 M バイトのディスク領域が新たに消費されます。 以下のパッケージには満たされていない依存関係があります: libmono-system-web2.0-cil : 依存: mono-runtime (< 3.2.9) [5.2.0.215-0xamarin10+ubuntu1404b1 がインストール予定となっています] 以下のアクションでこれらの依存関係の問題は解決されます:

 以下のパッケージを現在のバージョンに一時固定する:             

1) libmono-system-data-linq2.0-cil [インストールされていません] 2) libmono-system-runtime2.0-cil [インストールされていません]
3) libmono-system-web2.0-cil [インストールされていません]
4) libmono-wcf3.0a-cil [インストールされていません]
5) libmono2.0-cil [インストールされていません]
6) monodevelop [インストールされていません]
7) monodoc-manual [インストールされていません]

この解決方法を受け入れますか? [Y/n/q/?]

おそらくSynapticとは以下が違うのだろう。

以下のパッケージが推奨されていますがインストールされません: ca-certificates-mono libglade2.0-cil-dev libgtk2.0-cil-dev libmono-btls-interface4.0-cil mono-devel

さらに諸悪の根源がインストールされようとしている。

[5.2.0.215-0xamarin10+ubuntu1404b1 がインストール予定となっています]

無限ループの予感……。もはやMonoDevelopの再インストールは不可能か。これはひどい。

# 所感

……。完全に壊れた。